{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<div class="container my-6">
    {% for flashError in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
    {% endfor %}

    <h1 class="title is-1">Création d'un compte</h1>

    {{ form_start(registrationForm) }}
        {{ form_row(registrationForm.username, {
            label: 'Nom d\'utilisateur'
        }) }}
        {{ form_row(registrationForm.email, {
            label: 'Email'
        }) }}
        {{ form_row(registrationForm.plainPassword, {
            label: 'Mot de passe'
        }) }}
        {{ form_row(registrationForm.agreeTerms, {
            label: 'Accepter les conditions'
        }) }}
        
        <div class="field is-flex is-justify-content-center">
            <button class="button is-primary" type="submit">
                Valider
            </button>
        </div>
    {{ form_end(registrationForm) }}
</div>
{% endblock %}
